@font-face {
  font-family: CutiveMono;
  src: url('../fonts/Cutive_Mono/CutiveMono-Regular.ttf');
}
@font-face {
  font-family: SpaceMono;
  src: url('../fonts/Space_Mono/SpaceMono-Bold.ttf');
}
@font-face {
  font-family: SpaceMono-Normal;
  src: url('../fonts/Space_Mono/SpaceMono-Regular.ttf');
}

a {
  text-decoration: none;
  color: #424242;
}

img, video {
  width: 100%;
  height: auto;
}

textarea,
input,
input[type="text"],
input[type="button"],
input[type="submit"]
{
  -webkit-appearance: none;
  border-radius: 0;
}

.font-format(@font_size, @line_height) {
  font-size: @font_size;
  line-height: @line_height;
}

.clr {
  clear: both;
}
.bar-menu {
  display: none;
  width: 18px;
  height: 18px;
  position: absolute;
  top: 7px;
  right: 0px;
  transform: rotate(0deg);
  transition: 0.5s ease-in-out;
  cursor: pointer;
  z-index: 999;
  div {
    display: block;
    position: relative;
    height: 2px;
    width: 100%;
    background: #606161;
    border-radius: 0;
    opacity: 1;
    left: 0;
    transform: rotate(0deg);
    transition: 0.25s ease-in-out;
  }
  div:first-child {
    top: 0;
  }
  div:nth-child(2) {
    top: 3px;
  }
  div:nth-child(3) {
    top: 6px;
  }
}

.bar-menu.open {
  width: 15px;
  height: 15px;
  div:first-child {
    top: 4px;
    -webkit-transform: rotate(135deg);
    -ms-transform: rotate(135deg);
    transform: rotate(135deg);
    left: -2px;
  }
  div:nth-child(2) {
    opacity: 0;
    left: -30px;
    top: 2px;
  }
  div:nth-child(3) {
    top: 0px;
    -webkit-transform: rotate(-135deg);
    -ms-transform: rotate(-135deg);
    transform: rotate(-135deg);
    left: -2px;
  }
}

html {
  body {
    color: #424242;
    font-family: CutiveMono;
    font-variant-ligatures: none;
    #wrapper {
      position: relative;
      height: 100%;
      header {
        //overflow: hidden;
        background-color: #FFFFFF;
        position: fixed;
        left: 0;
        right: 0;
        z-index: 9;
        height: 71px;
        > div {
          display: inline-block;
          padding: 23px 30px;
        }
        .bar-menu {display: none}
        .logo {
          float: left;
          .font-format(18px, inherit);
          font-family: SpaceMono;
          position: absolute;
        }

        @media only screen and (max-width: 768px) {
          .bar-menu {
            display: block;
          }
        }
        .menu {
          float: right;
          .font-format(16px, inherit);
          height: 25px;
          .flip {
            transition: all .3s ease-out;
            transform-style: preserve-3d;
            //transform: translateZ(-25px) rotateX(-90deg);
            transform: translateZ(-25px) rotateX(0deg);
            .front {
              transform: rotatex(90deg) translatez(25px);
              display: inline-block;
              float: right;
              position: absolute;
              top: 0;
              right: 0;
              font-size: 25px;
            }
            .back {
              transform: rotatex(0deg) translatez(25px);
              margin-top: -7px;
            }
            .front, .back {
              display: block;
              background: transparent;
              color: black;
              box-sizing: border-box;
            }
          }

          ul {
            li {
              display: inline-block;
              margin: 0 17px;
              vertical-align: middle;
              .download {
                position: relative;
                overflow: hidden;
                .button-submit {
                  cursor: pointer;
                  border-radius: 40px;
                  top: 0;
                  padding: 10px 44px;
                  font-family: SpaceMono;
                  font-size: 12px;
                  margin-left: -25px;
                  background: white;
                  border: 1px solid #D8D8D8;
                  color: #424242;
                  line-height: 20px;
                  display: inline-block;
                  overflow: hidden;
                  position: relative;
                }
                .layer {
                  color: #fff;
                  position: absolute;
                  top: 50px;
                  width: 100%;
                  left: 0;
                  padding: 10px 0;
                  background-color: #E6AE6A;
                  transition: all 0.2s ease;
                  border-radius: 40px;
                  font-size: 12px;
                  bottom: 0;
                  text-align: center;
                  line-height: 20px;
                  font-family: SpaceMono;
                }
              }
              .download.hover {
                .layer {
                  top: 0;
                }
              }
            }
            @media only screen and (max-width: 840px) {
              li {
                margin: 0 10px;
              }
            }
            li.free-download {
              font-family: SpaceMono;
              .font-format(12px, inherit);
              a {
                padding: 10px 30px;
                border: 1px solid;
                border-radius: 20px;
              }
            }
            li.current-menu-item {
              a {
                color: #508BBD;
                border-bottom: 1px solid;
              }
            }
            li:last-child {
              margin-right: 0;
              .download {
                margin-top: 0;
                form {
                  #mce-responses {
                    position: absolute;
                  }
                  input {
                    line-height: 20px;
                  }
                  input.submit {
                    margin-left: -25px;
                    background: white;
                    border: 1px solid #D8D8D8;;
                    color: #424242;
                  }
                  input.type {
                    border: 1px solid #D8D8D8;;
                  }
                }
                form.show {
                  input.type {
                    width: 250px;
                  }
                  @media only screen and (max-width: 1024px) {
                    input.type {
                      width: 220px;
                    }
                  }
                  @media only screen and (max-width: 840px) {
                    input.type {
                      width: 200px;
                    }
                  }
                }
              }
            }
          }
        }
        .menu.mobile {
          display: none;
          padding: 0;
          padding-top: 160px;
          ul {
            li {
              display: block;
              margin: 35px 0;
            }
          }
        }
        @media only screen and (max-width: 768px) {
          .menu.desktop {
            display: none;
          }
          .menu.mobile {
            display: none;
            width: 100%;
            position: fixed;
            height: 100%;
            z-index: 99;
            background: white;
            text-align: center;
            .font-format(16px, 24px);
          }
          .menu.mobile.open {
            display: block;
          }
        }
        .menu:hover {
          .flip {
            transform: translateZ(-25px) rotateX(0deg);
          }
        }
      }
      .container {
        font-size: 0;
        padding-top: 71px;
        > div {
          vertical-align: top;
        }
        .left {
          width: 40%;
          display: inline-block;
          background-color: #F8F8F8;
          .section {
            height: 100%;
            .wrap {
              display: inline-block;
              max-width: 450px;
              width: 100%;
              transform: translate(-50%, 0%);
              margin-left: 50%;
              padding: 80px 0 190px;
              > div {
                padding: 0 30px;
                .logo {
                  width: 200px;
                }
                .text {
                  margin-top: 90px;
                  .text1 {
                    .font-format(24px, 32px);
                    font-family: SpaceMono;
                  }
                  .text2 {
                    margin-top: 15px;
                    .font-format(16px, 24px);
                  }
                }
              }
            }
          }
        }
        .right {
          width: 60%;
          display: inline-block;
          height: 100%;
          position: fixed;
          .step {
            width: 100%;
            height: 100%;
            opacity: 0;
            position: absolute;
            top: 0;
            transition: opacity 1s;
          }
          .step.show {
            opacity: 1;
          }
          .step1 {
            background: linear-gradient(211.46deg, #0b52a7 0%, #4e99e4 47.47%);
            .animation {
              max-width: 700px;
            }
          }
          .step2 {
            background: linear-gradient(197.46deg, #2670cc 0%, #8bc0f7 87.47%);
            .animation {
              max-width: 300px;
            }
          }
          .step3 {
            background: linear-gradient(197.46deg, #6ca8f3 0%, #d8e8f9 87.47%);
            .animation {
              max-width: 500px;
              transform: translate(-50%, -55%);
            }
          }
        }
      }
      .container.mobile {
        display: none;
      }

      footer {
        height: 42px;
        background: #ebebeb;
        position: absolute;
        bottom: 0;
        width: 100%;
        ul.nav-menu {
          text-align: right;
          height: 40px;
          margin-right: 30px;
          li.menu-item {
            display: inline-block;
            margin-left: 70px;
            padding: 10px;
          }
        }
      }
      @media screen and(max-width: 768px) {
        footer {
          height: 130px;
          background: #ebebeb;
          position: absolute;
          bottom: 0;
          width: 100%;
          ul.nav-menu {
            padding-top: 10px;
            text-align: center;
            margin: 0;
            li.menu-item {
              display: block;
              margin: 0;
              padding: 10px 0;
            }
          }
        }
      }
    }
  }
  body#company {
    #wrapper {
      .container {
        .left {
          .section {
            .wrap {
              > div {
                .logo {
                  width: 175px;
                }
                .text {
                  .text1:nth-child(3) {
                    margin-top: 50px;
                  }
                }
                .link-download {
                  a {
                    padding: 10px 75px;
                  }
                }
              }
            }
          }
        }
      }
    }
  }
  body#contact {
    #wrapper {
      .container {
        .left {
          .section {
            .wrap {
              padding-top: 192px;
              > div {
                .text {
                  margin-top: 0;
                  .text1 {

                  }
                  .text2 {
                    margin-top: 20px;
                    .label {
                      font-family: SpaceMono-Normal;
                      .font-format(14px, 24px);
                    }
                    .value {
                      margin-left: 20px;
                    }
                  }
                }
                .link-download {
                  a {
                    padding: 10px 54px;
                  }
                }
                .small-text {
                  margin-top: 220px;
                  .font-format(12px,18px);
                  .text1 {
                    font-family: SpaceMono;
                    font-weight: bold;
                  }
                  .text2 {
                    margin-top: 10px;
                  }
                }
              }
            }
          }
        }
      }
    }
  }

  body#jobs {
    #wrapper {
      .container {
        .left {
          .section {
            .wrap {
              padding-top: 192px;
              > div {
                .text {
                  margin-top: 0;
                  .text2 {
                    margin-top: 50px;
                    ul {
                      li {
                        border-top: 1px solid #D8D8D8;
                        padding: 8px 0;
                        cursor: pointer;
                        i {
                          font-size: 8px;
                          padding: 5px 6px;
                          background-color: #E6AE6A;
                          border-radius: 20px;
                          color: white;
                          margin-top: 3px;
                          float: right;
                        }
                        i.fa-chevron-left:before {
                          margin-right: 1px;
                        }
                        i.fa-chevron-right:before {
                          margin-left: 1px;
                        }
                        i.fa-chevron-left {
                          display: none;
                        }
                        .title {
                          max-width: 240px;
                          display: inline-block;
                        }
                      }
                      li:last-child {
                        border-bottom: 1px solid #D8D8D8;
                      }
                      li:hover {
                        a {
                          color: #000000;
                        }
                      }
                      li.active {
                        a {
                          color: #508BBD;
                        }
                        i.fa-chevron-right {
                          display: none;
                        }
                        i.fa-chevron-left {
                          display: block;
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        }
        .right {
          .step {
            position: relative;
            .wrap {
              max-width: 480px;
              width: 100%;
              margin: 0 auto;
              padding-top: 240px;
              .animation {
                max-width: 430px;
                transform: translate(-50%, -80%);
                .dot {
                  position: static;
                  width: 38px;
                  height: 38px;
                  margin: 20px;
                }
                .dot:nth-child(1) {
                  box-sizing: border-box;
                  border: 1px solid rgba(255,255,255,0.1);
                  background-color: #2A8EF2;
                  box-shadow: 0 0 10px 0 rgba(255,255,255,0.2);
                }
              }
            }
          }
        }
        .right.scroll {
          overflow: scroll;
        }
        .wrap-job {
          .popup-job {
            max-width: 100%;
            width: 100%;
            height: calc(~'100% - 42px');
            position: absolute;
            top: 0;
            right: -50%;
            transform: translate(0%, 0%);
            left: inherit;
            visibility: hidden;
            .content {
              background: white;
              margin: 35px;
              height: calc(~'100% - 120px');
              overflow-y: scroll;
              .wrapper {
                padding: 90px 70px 0;
              }
              .text1 {
                .font-format(24px, 32px);
                font-family: SpaceMono;
              }
              .text2 {
                .font-format(16px, 24px);
                margin-top: 60px;
                max-width: 300px;
                .label {
                  font-family: SpaceMono;
                  .font-format(14px, 24px);
                }
                .value {
                  float: right;
                  width: 130px;
                }
              }
              .text3 {
                margin-top: 30px;
                .font-format(16px, 24px);
              }
              .link-download {
                text-align: center;
                margin-top: 80px;
                padding-bottom: 40px;
                a {
                  padding: 10px 72px;
                }
              }
            }
          }
          .popup-job.show {
            transition: all 1s;
            opacity: 1;
            left: 50%;
            transform: translate(-50%, 0%);
            visibility: visible;
          }
        }
      }
    }
  }

  body.error404  {
    height: 100%;
    #wrapper {
      .container {
        height: calc(~'100% - 71px');
        background-color: #F8F8F8;
        .left .section .wrap>div .text .text2 {
          margin-top: 20px;
        }
        @media only screen and (max-width: 1120px) {
          .left {
            width: 100%;
            .wrap {
              transform: none;
              margin-left: 0;
            }
          }
        }
      }
    }
  }
}

.link-download {
  .font-format(12px, 24px);
  font-family: SpaceMono;
  margin-top: 50px;
  a {
    padding: 10px 30px;
    border: 1px solid #E6AE6A;
    border-radius: 20px;
    background-color: #E6AE6A;
    color: white;
  }
}
@import "import/dots";
@import "import/button";
@import "import/term";